using System;
using System.Drawing;
using System.Threading;
using System.Windows.Forms;

public class Spotty : Form {

  ///<summary>
  /// The Spotty Program            Bishop and Horspool    Feb 2003
  /// ====================
  /// Draws 100 red spots.
  /// Illustrates using simple Drawing classes.
  ///</summary>

  Spotty() {
    // Adjust the graphics form
    this.Width = 450;
    this.Height = 450;
    this.Text = "Spotty";
  }

  protected override void OnPaint(PaintEventArgs e) {
    Graphics g = e.Graphics;

    // Variables related to the spots and their position
    Random r = new Random();
    SolidBrush brush = new SolidBrush(Color.Red);

    for (int s=0; s<100; s++) {
      // Calculate a new place for a spot
      int x = r.Next(380);
      int y = r.Next(380);
      // Draw the spot
      g.FillEllipse(brush, x, y, 20, 20);
      Thread.Sleep(100);
    }
  }

  static void Main() {
    Application.Run(new Spotty());
  }
}